class MutAgedToPerfection extends Mutator
	config(AgedToPerfection);

var config bool bDoneGoneBad;
var localized string poisonText;

function bool CheckReplacement( Actor Other, out byte bSuperRelevant ) {
	bSuperRelevant = 0;
	if ( String(Other.class) == "XPickups.MiniHealthPack") {
		ReplaceWith( Other, "AgedToPerfection.AgedHealthVial");
		return false;
	}
	return true;
}

static function FillPlayInfo(PlayInfo PlayInfo) {
	Super.FillPlayInfo(PlayInfo);
	PlayInfo.AddSetting(default.RulesGroup, "bDoneGoneBad", default.poisonText, 0, 1, "Check");
}

static event string GetDescriptionText(string PropName) {
	if ( PropName == "bDoneGoneBad" ) {
		return default.poisonText;
	}
	return Super.GetDescriptionText(PropName);
}

defaultproperties
{
     GroupName="HealthVial"
     FriendlyName="Aged To Perfection"
     Description="Aged Health Vials are better for you"
     poisonText="Allow 10% of the vials to go bad"
     bDoneGoneBad=false
}
